import { FASTElement } from "@microsoft/fast-element";
import { Imparter, IPay2MyAppAppsell, IPay2MyAppLogin, IPay2MyAppHub, PaymentsInfo } from '../hub/definitions';
import { Mutex } from 'async-mutex';
export declare enum Orientation {
    horizontal = "horizontal",
    vertical = "vertical"
}
export declare class Pay2MyAppSell extends FASTElement implements IPay2MyAppAppsell {
    hubId?: string;
    orientation?: Orientation | null;
    sku?: string | null;
    priceDollars?: string | null;
    loginMessage?: string | null;
    alwaysLogin: boolean;
    authorizedMessage: string;
    unauthorizedTemplate: string;
    inhibitLogin: boolean;
    bitcoinAddress?: string | null;
    ethereumAddress?: string | null;
    overhideAddress?: string | null;
    withinMinutes?: string | null;
    topupDollars?: number | null;
    isAuthorized?: boolean | null;
    asOf?: string | null;
    authorizedButton?: Node[];
    unauthorizedButton?: Node[];
    loading: boolean;
    rootElement?: HTMLElement;
    hub?: IPay2MyAppHub | null;
    currentImparter?: Imparter | null;
    signature?: string | null;
    loginElement?: IPay2MyAppLogin | null;
    isLogedIn: boolean;
    lastInfo?: PaymentsInfo | null;
    isInited: boolean;
    mutex: Mutex;
    constructor();
    setHub(hub: any): void;
    click(): Promise<void>;
    hubIdChanged(oldValue: string, newValue: string): void;
    connectedCallback(): void;
    init(): void;
    paymentInfoChanged(info: PaymentsInfo): Promise<void>;
    toDollars(what?: number | null): string;
    authorizedButtonChanged(oldValue: string, newValue: string): void;
    unauthorizedButtonChanged(oldValue: string, newValue: string): void;
    authorizedMessageChanged(oldValue: string, newValue: string): void;
    unauthorizedTemplateChanged(oldValue: string, newValue: string): void;
    skuChanged(oldValue: string, newValue: string): void;
    priceDollarsChanged(oldValue: string, newValue: string): void;
    validate(): void;
    wireUpButtonContent(): void;
    getToAddress(): string | null;
    getAuthButtonContent(): string;
    getUnauthButtonContent(): string;
    isClickable(): boolean;
    determineAuthorized(): Promise<boolean>;
    authorize(): Promise<boolean>;
}
//# sourceMappingURL=component.d.ts.map