import { FASTElement } from "@microsoft/fast-element";
import { IPay2MyAppLogin, Imparter, Social, IPay2MyAppAppsell, IPay2MyAppHub, PaymentsInfo, NetworkType } from './definitions';
export declare class Pay2MyAppHub extends FASTElement implements IPay2MyAppHub {
    isTest?: boolean | null;
    apiKey?: string | null;
    token?: string | null;
    paymentsInfo: PaymentsInfo;
    error?: string | null;
    rootElement?: HTMLElement;
    readonly THIS_IS_OVERHIDE_HUB: boolean;
    private allowNetworkType;
    private isWiredUp;
    private ordinal;
    private tallyCache;
    connectedCallback(): void;
    constructor();
    init(): void;
    setError: (error: string) => void;
    getNetwork: (imparter: Imparter) => string;
    getNetworkType: () => NetworkType;
    setCurrentImparter: (imparter: Imparter) => Promise<boolean>;
    setCurrentSocial: (social: Social) => Promise<void>;
    setSecretKey: (imparter: Imparter, newKey: string) => Promise<boolean>;
    setAddress: (imparter: Imparter, newAddress: string) => Promise<boolean>;
    generateNewKeys: (imparter: Imparter) => Promise<void>;
    isAuthenticated: (imparter: Imparter) => boolean;
    getTally: (to: string, tallyMinutes: number | null) => Promise<{
        tally: number | null;
        asOf: string | null;
    }>;
    getOutstanding: (costInDollars: number, to: string, tallyMinutes: number | null) => Promise<{
        delta: number | null;
        asOf: string | null;
    }>;
    topUp: (amountDollars: number, toAddress: string) => Promise<boolean>;
    clear: (imparter: Imparter) => void;
    getInfo: () => PaymentsInfo;
    getUrl: (imparter: Imparter) => any;
    setLoginElement: (element?: IPay2MyAppLogin | null | undefined) => void;
    refresh: (imparter: Imparter | null) => void;
    setSkuAuthorized: (sku: string, authorized: boolean) => void;
    isSkuAuthorized: (sku: string) => boolean;
    setComponentForSku: (sku: string, component: IPay2MyAppAppsell) => void;
    getComponentForSku: (sku: string) => IPay2MyAppAppsell | null;
    logout: () => void;
    private getKey;
    private authenticate;
    private isTestChanged;
    private apiKeyChanged;
    private tokenChanged;
    private getCurrentCurrency;
    private getCurrentImparter;
    private pingApplicationState;
    private isOnLedger;
    private sign;
    private setWallet;
    private setSignature;
    private setCredentials;
    /**
     * Retrieve API access token
     *
     * @returns {string} the token.
     */
    private getToken;
    private initToken;
    private initLib;
    private initNetworks;
    private initSession;
    private initCallbacks;
    /**
     * @returns {string} a challenge
     */
    makePretendChallenge(): string;
    /**
     * @param {number} t - millis to delay
     * @returns {Promise} completing when delay is done
     */
    delay(t: number): Promise<any>;
}
//# sourceMappingURL=component.d.ts.map